import * as React from "react";
import {observer} from "mobx-react-lite";
import {Grid, makeStyles} from "@material-ui/core";
import {grey} from "@material-ui/core/colors";

type BreadModelListBadgeProps = {
    text: string;
    color?: string | null;
}

const useStyles = makeStyles(() => ({
    badge: {
        margin: '1px',
        padding: '2px 4px',
        borderRadius: '3px',
        backgroundColor: grey[300]
    }
}));

export const BreadModelListBadge: React.FunctionComponent<BreadModelListBadgeProps> = observer(({text, color}) => {
    const classes = useStyles();

    return (
        <Grid item>
            <div style={color ? {borderLeft: `solid 6px ${color}`} : undefined} className={classes.badge}>{text}</div>
        </Grid>
    );
});