import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelInput, useModelContext} from "@rx-suite/ui";
import {t} from "@lingui/macro";

type WorkstationNameFieldProps = {
    name: string;
}

export const WorkstationNameField: React.FunctionComponent<WorkstationNameFieldProps> = observer(({name}) => {
    const model = useModelContext();

    return (
        <ModelInput
            name={name}
            label={t`Workstation Name`}
            hint={
                {
                    title: t`Workstation Name`,
                    text: t`A workstation name cannot be edited after the workstation has been created.`
                }
            }
            disabled={!model.isNew}
        />
    );
});

