import * as React from 'react';
import { Model } from '@rx-suite/data';
import {observer} from "mobx-react-lite";
import { ModelForm, ModelInput } from '@rx-suite/ui';

type MachineDataPushTargetFormProps = {
  model: Model
}

export const MachineDataPushTargetForm: React.FunctionComponent<MachineDataPushTargetFormProps> = observer(({ model }) => {
  return(
    <ModelForm model={model} suppressMakeCopy suppressImportExport>
      <ModelInput name={'name'} />
      <ModelInput name={'target_url'} />
    </ModelForm>
  )
});
