import * as React from "react";
import { t } from "@lingui/macro"
import {MachineModel, MachineStore} from "../../stores/MachineStore";
import {MachineGroupModel} from "../../stores/MachineGroupStore";
import {Grid} from "@material-ui/core";
import {BreadModelListBadge} from "../../components/generic/BreadModelListBadge";

export const useMachineListColumn = () => {
    const machines = MachineStore.getAll() as MachineModel[];

    return (
        {
            Header: t`Machines`,
            accessor: (m: MachineModel) => m,
            id: 'machine_ids',
            Cell: (cellInfo: {value: MachineGroupModel }) => {
                const model = cellInfo.value as MachineGroupModel;
                return (
                    <Grid container>
                        {model.machine_ids.map((machine_id) => {
                            const machine = machines.find(m=> m.id === machine_id);

                            if(!machine) {
                                return null;
                            }

                            return <BreadModelListBadge text={machine.extendedName}/>
                        })}
                    </Grid>
                )
            }
        }
    )
}

