import * as React from 'react';
import {t, Trans} from "@lingui/macro";
import {observer} from "mobx-react-lite";
import {TabsContainer} from "../../components/generic/TabsContainer";
import {PaddedPaper} from "@rx-suite/ui";
import {ErrorCustomFilterBreadModel} from "./error_filters/ErrorCustomFilterBreadModel";
import {Alert} from "@material-ui/lab";

export const DataFilteringPage = observer( () => {
    return (
        <PaddedPaper>
            <Alert severity='info'>
                <Trans>Enabled data filters only apply to new incoming data.</Trans>
            </Alert>
            <TabsContainer
                variant="scrollable"
                scrollButtons="auto"
                tabs={[
                    {
                        label: t`Machine Error Filters`,
                        component: <ErrorCustomFilterBreadModel/>,
                        defaultTab: true
                    }
                ]}
            />
        </PaddedPaper>
    )
})