import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {MachineGroupStore} from "../../stores/MachineGroupStore";
import {MachineGroupsForm} from "./MachineGroupsForm";
import {t} from "@lingui/macro";
import {observer} from "mobx-react-lite";
import {useMachineListColumn} from "../../hooks/table_columns/useMachineListColumn";

export const MachineGroupsBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Group Name`, "string"),
            useMachineListColumn()
        ];
    }, []);

    return(
        <BreadModel store={MachineGroupStore} Form={MachineGroupsForm} columns={columns}/>
    )
});
