import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {ProcessBookingWorkstationForm} from "./ProcessBookingWorkstationForm";
import {observer} from "mobx-react-lite";
import {ProcessBookingWorkstationStore} from "../../stores/ProcessBookingWorkstationStore";
import {useMachineListColumn} from "../../hooks/table_columns/useMachineListColumn";

export const ProcessBookingWorkstationBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Workstation Name`, "string"),
            useMachineListColumn()
        ]
    }, [])

    return <BreadModel store={ProcessBookingWorkstationStore} Form={ProcessBookingWorkstationForm} columns={columns} />
});