import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelSelect} from "@rx-suite/ui";
import {MachineStore} from "../../stores/MachineStore";
import {WorkstationNameField} from "../../components/generic/WorkstationNameField";

export const ProcessBookingWorkstationForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    const machines = MachineStore.getAll().map(machine => {
        return {
            label: machine.extendedName,
            value: machine.getId()
        }
    });

    return (
        <ModelForm model={model} suppressImportExport={true} suppressMakeCopy={true}>
            <WorkstationNameField name={'name'}/>
            <ModelSelect multiple loading={MachineStore.isLoading} options={machines} name={'machine_ids'}/>
        </ModelForm>
    )
})