import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";
import * as yup from 'yup';

@model({
  transportLayer: "/api/events",
  routingInfo: { }
})
export class EventModel extends Model {
  @attribute({ label: t`Message`, validation: yup.string() })
  message: string = "";

  @attribute({ label: t`Type`, validation: yup.number() })
  event_type: number = 0;

  @attribute({ label: t`Time`, validation: yup.date().required() })
  time: Date = new Date();

  @attribute({ label: t`Machine Id`, validation: yup.string().required() })
  machine_sn: string  = "";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  static types = {
    time: "date"
  }

  constructor() {
    super();
    super.setup();
  }
}

export const EventStore = EventModel.store as DataStore<EventModel>;
