import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
  transportLayer: "/api/machine_data_push_targets",
  permissionTarget: 'MachineDataPushTarget',
  routingInfo: {
    create: "/settings/machine_data_push_targets/create",
    update: "/settings/machine_data_push_targets/:id/edit",
    read: "/settings/machine_data_push_targets/:id"
  }
})
export class MachineDataPushTargetModel extends Model {

  @attribute({ label: t`Name`, validation: yup.string().required(t`Name is a required field`) })
  name = "";

  @attribute({ label: t`Target URL`, validation: yup.string().required(t`Target is a required field`) })
  target_url = "";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  constructor() {
    super();
    super.setup();
  }
}

export const MachineDataPushTargetStore = MachineDataPushTargetModel.store as DataStore<MachineDataPushTargetModel>;
