class AddErrorJob < ApplicationJob
  queue_as :default

  def perform(model_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      model = Error.new(model_params)
      if model.save # Associate a filter if any applies
        model.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems

        KpiMachineErrorJob.perform_later(model)
      end
    end
  end
end
