module KpiTableHandler
  class SummedRoutingKickoutsKpiHandler < KpiTableHandler::Base::KpiTableHandler
    include DataHelpers
    def base_select
      routing_kickout_database_keys_arr.map do |db_key|
        KpiRoutingKickout.arel_table[db_key].sum.as(db_key)
      end
    end

    def kpi_to_extract
      "(" + (routing_kickout_database_keys_arr.each_with_index.map do |db_key, i|
        next "#{db_key}" if i == 0
        " + #{db_key}"
      end.join) + ") as rejects"
    end

    def table
      KpiRoutingKickout
    end

    def timeframe_select
      ["SUM(rejects) as rejects"]
    end

    def col_name
      :rejects
    end

    def run
      query = build_query_for_cached_records

      # To build the results, the records must be ordered otherwise OFFSET will not work
      query = query.order(:time)

      get_results(query, col_name)
    end

    def get_results(query, val_column)
      results = {}
      KpiHelpers.get_time_ordered_batches(query) do |batch|
        batch.each do |record|
          time = record[:time]
          results[time] = record[val_column]
        end
      end
      results
    end
  end
end
