module MachineKpiCalculator
  class MachineStateBreakdown < MachineKpiCalculator

    include KpiTableHandler

    class << self
      def get_for_period_and_machines(start_time, end_time, timeframe, machine_ids, options)
        kpi = MachineStateBreakdown.new(start_time, end_time, timeframe, machine_ids, options)
        kpi.run
      end
    end

    def initialize(start_time, end_time, timeframe, machine_ids, options)
      super(start_time, end_time, timeframe, machine_ids, options)
    end

    def handlers
      [
        {
          key: :machine_states,
          handler: KpiTableHandler::MachineStateDurationKpiHandler,
          params: {
            machine_states: %w[on notready ready waitingforjobs processing maintenance error halt estop setup off]
          }
        }
      ]
    end

    def build_results
      data[:machine_states]
    end

    def build_results_per_machine
      data[:machine_states]
    end
  end
end
