class Tools
  def self.create_range_labels(start_date, end_date, period)
    labels = []
    start_time = start_date
    end_time = end_date
    curr_time = start_time

    if period.to_i == 0
      return [
        curr_time.strftime("%F %H:%M"),
        end_time.strftime("%F %H:%M")
      ]
    end

    loop do
      labels << curr_time.strftime("%F %H:%M")
      break if curr_time >= end_time
      if period.end_with? 'h'
        # not implemented
      elsif period.end_with? 'm'
        # not implemented
      elsif period.end_with? 'd'
        curr_time = curr_time.next_day
      elsif period.end_with? 'M'
        # not implemented
      else
        period.to_i
      end
    end
    if labels.length == 1
      labels << curr_time.strftime("%F %H:%M")
    end
    labels
  end

  def self.percentage_maker(numerator, denominator, precision = nil)
    return 0 if denominator == 0
    res = (numerator.to_f / denominator.to_f) * 100
    if precision
      res = res.round(precision)
    end
    res
  end
end