# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module LensEngraverUv
    extend ActiveSupport::Concern

    class_methods do
      def abort_filters_data
        [
          {name: 'Bypassed by user', regexps: '^Bypassed by user$', behaviour: 'replace', replace_name: 'Bypassed by user', group_code: 'bypass_err_1'},
          {name: 'Unable to grab lens', regexps: 'unable to grab the lens', behaviour: 'replace', replace_name: 'Unable to grab the lens', group_code: 'lens_grab_err_1'},
          {name: 'Critical error', regexps: '^Critical error$', behaviour: 'replace', replace_name: 'Critical error', group_code: 'crit_err_1'},

          {name: 'Unable to load lens', regexps: 'unable to load the lens', behaviour: 'replace', replace_name: 'Unable to load the lens', group_code: 'load_lens_err_1'},
          {name: 'Macro is empty', regexps: 'macro is empty', behaviour: 'replace', replace_name: 'Macro is empty', group_code: 'macro_err_1'},
          {name: 'Unknown macro', regexps: 'macro is unknown', behaviour: 'replace', replace_name: 'Unknown macro', group_code: 'macro_err_2'},
        ]
      end
    end
  end
end
