# -*- SkipSchemaAnnotations

module AbortFilterMachineTypes
  module VftOrbit
    extend ActiveSupport::Concern

    class_methods do
      def abort_filters_data
        [
          {name: 'Loader tray position', regexps: 'loader tray position', behaviour: 'replace', replace_name: 'Loader tray position', group_code: 'ltp_err_1'},
          {name: 'Barcode not readable', regexps: 'barcode not readable', behaviour: 'replace', replace_name: 'Barcode not readable', group_code: 'barcode_err_1'},
          {name: 'Workpiece dynamic pressure', regexps: 'workpiece dynamic pressure', behaviour: 'replace', replace_name: 'Workpiece dynamic pressure', group_code: 'wdp_err_1'},
          {name: 'CT too small', regexps: 'ct too small', behaviour: 'replace', replace_name: 'CT too small', group_code: 'ct_err_1'},
          {name: 'Digital input tray position', regexps: 'digital input: tray position', behaviour: 'replace', replace_name: 'Digital input: tray position', group_code: 'ditp_err_1'},
          {name: 'Surface radius smaller than tool radius', regexps: 'surface radius smaller than tool radius', behaviour: 'replace', replace_name: 'Surface radius smaller than tool radius', group_code: 'surf_err_1'},
          {name: 'Loader program stopped', regexps: 'loader program is stopped', behaviour: 'replace', replace_name: 'Loader program is stopped', group_code: 'load_err_1'},
          {name: 'Coolant', regexps: 'coolant', behaviour: 'replace', replace_name: 'Coolant 1', group_code: 'coolant_err_1'},
          {name: 'Loader vacuum finish part', regexps: 'loader vacuum finish part', behaviour: 'replace', replace_name: 'Loader vacuum finish part', group_code: 'lvf_err_1'},
        ]
      end
    end
  end
end
