module ForwardMachineData
  extend ActiveSupport::Concern

  def forward
    if MachineDataPushTarget.enabled?
      ForwardMachineDataJob.perform_later(forwarding_endpoint, forwarding_params, forwarding_data)
    end
  end

  def forwarding_data
    Raise NotImplementedError;
  end

  def forwarding_endpoint
    Raise NotImplementedError;
  end

  def forwarding_params
    Raise NotImplementedError;
  end
end
