# -*- SkipSchemaAnnotations

module ErrorFilterMachineTypes
  module ArtBlocker
    extend ActiveSupport::Concern

    # Art Blocker A
    class_methods do
      def error_filters_data
        [
          {name: 'VM_GLAS_NOT_RECOGNIZE', error_codes: '102', behaviour: 'replace', replace_name: 'VM_GLAS_NOT_RECOGNIZE', group_code: '102'},
          {name: 'VM_X_PLACE_TOO_BIG', error_codes: '103', behaviour: 'replace', replace_name: 'VM_X_PLACE_TOO_BIG', group_code: '103'},
          {name: 'VM_Y_PLACE_TOO_BIG', error_codes: '104', behaviour: 'replace', replace_name: 'VM_Y_PLACE_TOO_BIG', group_code: '104'},
          {name: 'VM_SEGMENT_TOO_SMALL', error_codes: '106', behaviour: 'replace', replace_name: 'VM_SEGMENT_TOO_SMALL', group_code: '106'},
          {name: 'VM_180_DEGREE_NOT_RECOGNIZE', error_codes: '107', behaviour: 'replace', replace_name: 'VM_180_DEGREE_NOT_RECOGNIZE', group_code: '107'},
          {name: 'VM_LINES_TO_NEAR', error_codes: '108', behaviour: 'replace', replace_name: 'VM_LINES_TO_NEAR', group_code: '108'},
          {name: 'VM_X_Y_ERROR', error_codes: '110', behaviour: 'replace', replace_name: 'VM_X_Y_ERROR', group_code: '110'},
          {name: 'VM_CANCEL_CODE', error_codes: '300', behaviour: 'replace', replace_name: 'VM_CANCEL_CODE', group_code: '300'},

          {name: 'fatal error: Enter Semaphore: Answer', error_codes: '1000', behaviour: 'use_as_is', group_code: '1000'},
          {name: '"kmc_CalibrateAxis" can not be executed', error_codes: '1003', behaviour: 'use_as_is', group_code: '1003'},
          {name: 'axis Z not calibrated!', error_codes: '1005', behaviour: 'use_as_is', group_code: '1005'},

          {name: 'axis did not reach target position', error_codes: '1007', behaviour: 'replace', replace_name: 'axis did not reach target position', group_code: '1007'},

          {name: 'axis: software minus limit reached', error_codes: '1008-1009', behaviour: 'replace', replace_name: 'axis: software minus limit reached', group_code: '1008'},

          {name: 'Z axis is not in home position', error_codes: '1011', behaviour: 'use_as_is', group_code: '1011'},
          {name: 'axis "X" cannot be moved', error_codes: '1012', behaviour: 'use_as_is', group_code: '1012'},

          {name: 'Axis Not Referenced', error_codes: '1013', behaviour: 'replace', replace_name: 'Axis Not Referenced', group_code: '1013'},

          {name: 'remove lens from rough part drawer', error_codes: '2001', behaviour: 'use_as_is', group_code: '2001'},

          {name: 'internal software error', error_codes: '3000', behaviour: 'replace', replace_name: 'internal software error', group_code: '3000'},
          {name: 'input is not active', error_codes: '3001', behaviour: 'replace', replace_name: 'input is not active', group_code: '3001'},
          {name: 'input is active', error_codes: '3002', behaviour: 'replace', replace_name: 'input is active', group_code: '3002'},

          {name: 'Remove part at suction cup loading arm block', error_codes: '3102', behaviour: 'use_as_is', group_code: '3102'},
          {name: 'Remove block piece at the blocking stationg', error_codes: '3010', behaviour: 'use_as_is', group_code: '3104'},
          {name: 'Adhesive empty', error_codes: '3107', behaviour: 'use_as_is', group_code: '3107'},

          {name: 'Station: status of machine is unclear.', error_codes: '3108', behaviour: 'replace', replace_name: 'Station: status of machine is unclear.', group_code: '3108'},
          {name: 'Amount of adhesive is low.', error_codes: '3109', behaviour: 'replace', replace_name: 'Amount of adhesive is low.', group_code: '3109'},
          {name: 'Large difference between measured front curve and theoretical front curve', error_codes: '3111', behaviour: 'replace', replace_name: 'Difference between measured front curve and theoretical front curve is too large', group_code: '3111'},
          {name: 'too much adhesive dosed', error_codes: '3114', behaviour: 'replace', replace_name: 'too much adhesive dosed', group_code: '3114'},

          {name: 'emergency stop (after unlocking: open/close machine cover)', error_codes: '4000', behaviour: 'use_as_is', group_code: '4000'},
          {name: 'drives off', error_codes: '4001', behaviour: 'use_as_is', group_code: '4001'},
          {name: 'no air pressure', error_codes: '4003', behaviour: 'use_as_is', group_code: '4003'},

          {name: 'Lag error stop limit exceeded', error_codes: '4007', behaviour: 'replace', replace_name: 'Lag error stop limit exceeded', group_code: '4007'},

          {name: 'It is not possible to start a process', error_codes: '4009', behaviour: 'use_as_is', group_code: '4009'},
          {name: 'Machine is still running', error_codes: '4010', behaviour: 'use_as_is', group_code: '4010'},

          {name: 'MES Connection Error', error_codes: '4022', behaviour: 'replace', replace_name: 'MES Connection Error', group_code: '4022'},

          {name: 'Calibration of probing station is no longer valid', error_codes: '4121', behaviour: 'use_as_is', group_code: '4121'},

          {name: 'CNC error linear axis Z:', error_codes: '5116', behaviour: 'replace', replace_name: 'CNC error linear axis Z:', group_code: '5116'},
          {name: 'no lens found', error_codes: '6003', behaviour: 'replace', replace_name: 'no lens found', group_code: '6003'},
          {name: 'data missing for LVAL', error_codes: '6005', behaviour: 'replace', replace_name: 'data missing for LVAL', group_code: '6005'},
          {name: 'no blockpiece found', error_codes: '6006', behaviour: 'replace', replace_name: 'no blockpiece found', group_code: '6006'},
          {name: 'radius of front curve to small', error_codes: '6100', behaviour: 'replace', replace_name: 'radius of front curve to small', group_code: '6100'},
          {name: 'prism angle too large.', error_codes: '6101', behaviour: 'replace', replace_name: 'prism angle too large.', group_code: '6101'},
          {name: 'No valid blockpiece data available', error_codes: '6105', behaviour: 'replace', replace_name: 'No valid blockpiece data available', group_code: '6105'},
          {name: 'block piece does not match with block piece data', error_codes: '6109', behaviour: 'replace', replace_name: 'data of block piece does not match with block piece data of the job', group_code: '6109'},
          {name: 'Lens type is not supported', error_codes: '6111', behaviour: 'replace', replace_name: 'Lens type is not supported', group_code: '6111'},
          {name: 'no interface created that supports CLBS functionality', error_codes: '6116', behaviour: 'replace', replace_name: 'There is no interface created that supports the CLBS functionality', group_code: '6116'},
          {name: 'Given blockheight out of limits. ', error_codes: '6200', behaviour: 'replace', replace_name: 'The given blockheight is out of limits (-0,53 mm). Lens can not be blocked', group_code: '6200'},
          {name: 'Vacuum at suction cup head', error_codes: '6201', behaviour: 'replace', replace_name: 'Vacuum at the suction cup head present but not expected. Center thickness probably wrong.', group_code: '6201'},
          {name: 'dosing aborted', error_codes: '6202', behaviour: 'replace', replace_name: 'dosing aborted', group_code: '6202'},
          {name: 'Drives are off!', error_codes: '8001', behaviour: 'replace', replace_name: 'Drives are off!', group_code: '8001'},
          {name: 'PLC: homing position lost', error_codes: '8004', behaviour: 'replace', replace_name: 'PLC: homing position lost', group_code: '8004'},
          {name: 'PLC: Error blocker axis', error_codes: '29214', behaviour: 'replace', replace_name: 'PLC: Error blocker axis', group_code: '29214'},
          {name: 'PLC: Error blocker axis: Discrete movement not possible', error_codes: '29215', behaviour: 'replace', replace_name: 'PLC: Error blocker axis: Discrete movement not possible', group_code: '29215'},
          {name: 'PLC: Error axis: Continuous movement not possible', error_codes: '29216', behaviour: 'replace', replace_name: 'PLC: Error axis: Continuous movement not possible', group_code: '29216'},
          {name: 'block ReUse server: TimeOut ACK !', error_codes: '350006', behaviour: 'replace', replace_name: 'block ReUse server: TimeOut ACK !', group_code: '350006'},

          {name: 'Host upload: TimeOut data set !', error_codes: '350008', behaviour: 'use_as_is', group_code: '350008'},
          {name: 'Host: ANS <> REQ !', error_codes: '350010', behaviour: 'use_as_is', group_code: '350010'},

          {name: 'Jobnumber wrong / not available', error_codes: '350011', behaviour: 'replace', replace_name: 'Jobnumber wrong / not available', group_code: '350011'},
          {name: 'CLBS check failed', error_codes: '350017', behaviour: 'replace', replace_name: 'CLBS check failed', group_code: '350017'},

          {name: 'Host: VCA-initialization failed', error_codes: '350060', behaviour: 'use_as_is', group_code: '350060'},
          {name: 'Scanner: Common timeout', error_codes: '404250', behaviour: 'use_as_is', group_code: '404250'},

          {name: 'Error on serial interface COM?', error_codes: '404502', behaviour: 'replace', replace_name: 'Error on serial interface COM?', group_code: '404572'},
          {name: 'block ReUse server: The connection was reset by peer', error_codes: '404573', behaviour: 'replace', replace_name: 'block ReUse server: The connection was reset by peer', group_code: '404573'},
          {name: 'block ReUse server: Cannot connect', error_codes: '404574', behaviour: 'replace', replace_name: 'block ReUse server: Cannot connect', group_code: '404574'},
          {name: 'block ReUse server: Cannot start more transactions', error_codes: '404700', behaviour: 'replace', replace_name: 'block ReUse server: Cannot start more transactions', group_code: '404700'},
          {name: 'block ReUse server: LDCS: receive invald answer on request', error_codes: '404707', behaviour: 'replace', replace_name: 'block ReUse server: LDCS: receive invald answer on request', group_code: '404707'},

          {name: 'matrix code not readable', error_codes: '404862', behaviour: 'replace', replace_name: 'matrix code not readable', group_code: '404862'},
          {name: 'No answer from PVI', error_codes: '410004', behaviour: 'replace', replace_name: 'No answer from PVI', group_code: '410004'},

          {name: 'watchdog error', error_codes: '410008', behaviour: 'use_as_is', group_code: '410008'}
        ]
      end
    end
  end
end

