# == Schema Information
#
# Table name: machine_abort_filters
#
#  id              :bigint           not null, primary key
#  created_at      :datetime         not null
#  updated_at      :datetime         not null
#  abort_filter_id :bigint           not null
#  machine_id      :bigint           not null
#
# Indexes
#
#  index_machine_abort_filters_on_abort_filter_id  (abort_filter_id)
#  index_machine_abort_filters_on_machine_id       (machine_id)
#
# Foreign Keys
#
#  fk_rails_...  (abort_filter_id => abort_filters.id)
#  fk_rails_...  (machine_id => machines.id)
#
class MachineAbortFilter < ApplicationRecord
  belongs_to :machine
  belongs_to :abort_filter

  def should_archive?
    false
  end
end
