module ReportComponents
  class TopKickoutReasonsBar < ReportComponent
    include DataHelpers
    include ReportComponentHelpers

    def component_id
      'top_kickouts'
    end

    def component_type
      'bar'
    end

    def generate(args)
      @kpi_kickout_reasons = MachineKpi.top_5_kickouts_between(start_time, end_time, KpiHelpers::Timeframe::ALL, machine_ids)

      return set_no_data('No kickouts during reporting period') if @kpi_kickout_reasons.all? {|k,v| v == 0 }

      {
        series: [{
         data: @kpi_kickout_reasons.map {|k,v| {x: k, y: v}}
       }],
        colors: color_for_series(5)
      }
    end
  end
end
