json.resource do
  data = @errors.group_by(&:machine_sn)
  json.array! @machines do |machine|
    json.sn machine.sn
    json.name machine.name
    json.description machine.description
    json.error do
      errors = Array(data[machine.sn])
      json.cache! errors do
        json.cache_collection! errors do |error|
          json.piececounter error.piececounter
          json.errorno error.errno
          json.error error.error
          json.errortype ::Error.errortypes[error.errortype]
          json.status ::Error.statuses[error.status]
          json.job error.job&.number
          json.lensside error.job&.side_letter
          json.time error.time_str
          json.date error.date_str
        end
      end
    end
  end
end

json.nextOffset @errors.klass.next_offset(query: @errors, limit: @limit, offset: @offset)
