if @job_states.empty?
  json.processList []
  json.nextOffset nil
else
  json.cache! [@job_states, @limit, @offset] do
    jobs = if @job_states.empty?
      Job.none
    else
      Job.joins(:job_states).where(job_states: {time: @start_time..@end_time, machine: @machine}).distinct.limit(@limit).offset(@offset)
    end
    json.processList do
      jobs.each do |job|
        json.array!(%w[L R].each_with_index.to_a) do |side, side_index|
          json.cache! [job, side, @machine_states] do
            json.partial! "machines/job", job: job, side: side, side_index: side_index
          end
        end
      end
    end
    json.nextOffset Job.next_offset(query: jobs, offset: @offset, limit: @limit)
  end
end
