const { environment } = require('@rails/webpacker');
const babelLoader = environment.loaders.find(l => l.key === "babel");
babelLoader.value.test = /\.(ts|tsx)$/;
environment.splitChunks(() => ({
    resolve: {
        extensions: ['.css']
    },
    optimization: {
        splitChunks: {
            chunks: "all",
            cacheGroups: {
                apexCharts: {
                    test: /[\\/]node_modules[\\/]apexcharts[\\/]/,
                    priority: 0,
                    reuseExistingChunk: false,
                    name: 'apexChartsChunk'
                },
                defaultVendors: {
                    test: /[\\/]node_modules[\\/]/,
                    priority: -10,
                    reuseExistingChunk: true,
                    name: 'vendorChunk'
                },
                default: {
                    minChunks: 2,
                    priority: -20,
                    reuseExistingChunk: true,
                    name: 'defaultChunk'
                },
            }
        },
    }
}));
module.exports = environment;
